<?php
// 引入数据库配置
require_once '../config.php';

// 建立数据库连接
$conn = get_db_connection();
?>
<!DOCTYPE html>
<html lang="zh">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>财务管理</title>
    <link rel="stylesheet" href="./style.css">
</head>

<body>
    <!-- 侧边导航栏 -->
    <div class="sidebar">
        <div class="sidebar-header" style="text-align: center;">
            <h3>财务管理</h3>
        </div>
        <div class="sidebar-menu">
            <ul>
                <li class="home-link"><a href="../home.php">返回首页</a></li>
                <li class="active" onclick="changeContent('list_finance.php')"><a href="javascript:void(0)">财务记录列表</a></li>
                <li onclick="changeContent('add_finance.php')"><a href="javascript:void(0)">新增财务记录</a></li>
                <li onclick="changeContent('finance_report.php')"><a href="javascript:void(0)">财务报表</a></li>
            </ul>
        </div>
    </div>

    <!-- 主内容区 - iframe -->
    <div class="main-content">
        <iframe id="content-frame" src="list_finance.php" name="content-frame"></iframe>
    </div>

    <script>
        // 切换内容函数
        function changeContent(url) {
            document.getElementById('content-frame').src = url;

            // 更新活动菜单项
            var menuItems = document.querySelectorAll('.sidebar-menu li:not(.home-link)');
            menuItems.forEach(function(item) {
                item.classList.remove('active');
            });

            event.currentTarget.classList.add('active');
        }
    </script>
</body>

</html>